%define name	smtprc
%define version 0.9.7
%define release 4mdk

Summary:	An open relay checker 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://smtprc.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch0:		smtprc-0.9.7-misc_fixes.patch.bz2
BuildRequires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SmtpRC is a fully configurable multithreaded open mail relay
scanner/checker. It can scan large networks for open relays and
output the results to a web page. It is intended for Systems
Administrators to check IP blocks under their control.

%package	frontend
Summary:	A perl-Tk frontend for %{name}
Group:		Monitoring
Requires:	perl-Tk
Prereq:		%{name} = %{version}

%description	frontend
A perl-Tk frontend for %{name}

SmtpRC is a fully configurable multithreaded open mail relay
scanner/checker. It can scan large networks for open relays and
output the results to a web page. It is intended for Systems
Administrators to check IP blocks under their control.

%prep

%setup -q -n %{name} -a1
%patch0 -p1 -b .misc_fixes

%build

%make CFLAGS="%{optflags}"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_menudir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}/var/www/html/admin/%{name}

install -m755 %{name} %{buildroot}%{_bindir}/
install -m755 g%{name} %{buildroot}%{_bindir}/

install -m644 auto.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m644 email.tmpl %{buildroot}%{_sysconfdir}/%{name}/
install -m644 rcheck.conf %{buildroot}%{_sysconfdir}/%{name}/

install -m644 %{name}.1 %{buildroot}%{_mandir}/man1/
install -m644 g%{name}.1 %{buildroot}%{_mandir}/man1/

install -m644 g%{name}16x16.png %{buildroot}%{_miconsdir}/%{name}-frontend.png
install -m644 g%{name}32x32.png %{buildroot}%{_iconsdir}/%{name}-frontend.png
install -m644 g%{name}48x48.png %{buildroot}%{_liconsdir}/%{name}-frontend.png

cat > %{buildroot}%{_menudir}/%{name}-frontend <<EOF
?package(%{name}-frontend): \
command="g%{name}" \
title="G%{name} " \
longtitle="The graphical frontend for %{name}." \
needs="x11" \
icon="%{name}-frontend.png" \
section="Networking/Other"
EOF

%post frontend
%{update_menus}

%postun frontend
%{clean_menus}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS CHANGELOG FAQ README
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/auto.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/email.tmpl
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/rcheck.conf
%dir %{_sysconfdir}/%{name}/
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0644,root,root) %{_mandir}/man1/%{name}.1*

%files frontend
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/g%{name}
%attr(0644,root,root) %{_mandir}/man1/g%{name}.1*
%{_menudir}/%{name}-frontend
%{_miconsdir}/%{name}-frontend.png
%{_iconsdir}/%{name}-frontend.png
%{_liconsdir}/%{name}-frontend.png
%dir /var/www/html/admin/%{name}

%changelog
* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-4mdk
- rebuild

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7-3mdk
- rpmbuildupdated


* Mon Aug 04 2003 Michael Scherer <scherer.michael@free.fr> 0.9.7-2mdk
- distlint DIRM warning on /etc/smtprc/

* Tue Apr 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.7-1mdk
- initial cooker contrib
- stole the icons from nmap-fe

